#!/bin/bash
#

# Set up CPD cluster NFS mount points

[ -d /home          ] || mkdir /home
[ -d /home/cepa01   ] || mkdir /home/cepa01
[ -d /home/prj      ] || mkdir /home/prj

[ -d /fnal/ups ] || mkdir -p /fnal/ups

[ -d /scr        ] || mkdir /scr
[ -d /scr/cepa01 ] || mkdir /scr/cepa01
[ -d /scr/cepa02 ] || mkdir /scr/cepa02


# edit fstab
if [ `grep cepasrv1.fnal.gov:/home/cepa01 /etc/fstab | wc -l` -eq 0 ]
then
  echo 'cepasrv1.fnal.gov:/home/cepa01  /home/cepa01 nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'cepasrv1.fnal.gov:/home/prj     /home/prj    nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep cepasrv1.fnal.gov:/fnal/ups /etc/fstab | wc -l` -eq 0 ]
then
  echo 'cepasrv1.fnal.gov:/fnal/ups /fnal/ups nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep cepasrv1.fnal.gov:/scr/cepa01 /etc/fstab | wc -l` -eq 0 ]
then
  echo 'cepasrv1.fnal.gov:/scr/cepa01  /scr/cepa01 nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'cepasrv1.fnal.gov:/scr/cepa02  /scr/cepa02 nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

# make sure shells are present
[ -d /usr/local/bin ] || mkdir /usr/local/bin
[ -L /usr/local/bin/bash ] || ln -s /bin/bash /usr/local/bin/bash
[ -L /usr/local/bin/tcsh ] || ln -s /bin/tcsh /usr/local/bin/tcsh

if [ `grep /usr/local/bin/bash /etc/shells | wc -l` -eq 0 ]
then
  echo '/usr/local/bin/bash' >> /etc/shells
  echo '/usr/local/bin/tcsh' >> /etc/shells
fi

# establish ups
mount /fnal/ups
if [ -f "/fnal/ups/etc/setups.sh" ]
then
  . "/fnal/ups/etc/setups.sh"
  # start ups at boot time
  if [ ! -f /etc/rc.d/init.d/ups ] 
  then
     cp $UPS_DIR/init.d/ups /etc/rc.d/init.d/ups
     /etc/rc.d/init.d/ups config
  fi
fi

#  send mail to cpd-admin
if [ `grep root: /etc/aliases | grep -v \# | wc -l` -eq 0 ]
then
  echo 'root: cpd-admin@fnal.gov' >> /etc/aliases
  /usr/bin/newaliases
fi

# create .k5login for root
if [ ! -f "/root/.k5login" ]
then
    echo "garren@FNAL.GOV" > /root/.k5login
    echo "jeffk@FNAL.GOV" >> /root/.k5login
    echo "lebrun@FNAL.GOV" >> /root/.k5login
fi

# fix disk space logwatch
if [ -f "/etc/CPD/configfiles/zz-disk_space" ]
then
    [ -f /etc/log.d/scripts/services/zz-disk_space ] || mv -f /etc/log.d/scripts/services/zz-disk_space /etc/log.d/scripts/services/zz-disk_space.rpmsave
    cp /etc/CPD/configfiles/zz-disk_space /etc/log.d/scripts/services/zz-disk_space
fi


# add java plugin link for mozilla
if [ -f "/usr/java/j2sdk1.4.2_02/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so" ]
then
  [ -L /usr/lib/mozilla-1.5/plugins/libjavaplugin_oji.so ] || ln -s /usr/java/j2sdk1.4.1_02/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so /usr/lib/mozilla-1.5/plugins/libjavaplugin_oji.so
fi
